@echo off
if %1!==! goto USAGE
set COLON=
:VALIDDRIVE
if %1 == c: goto INSTALL1
if %1 == d: goto INSTALL1
if %1 == e: goto INSTALL1
if %1 == f: goto INSTALL1
if %1 == g: goto INSTALL1
if %1 == C: goto INSTALL1
if %1 == D: goto INSTALL1
if %1 == E: goto INSTALL1
if %1 == F: goto INSTALL1
if %1 == G: goto INSTALL1
if %1 == c goto NEEDCOLON
if %1 == d goto NEEDCOLON
if %1 == e goto NEEDCOLON
if %1 == f goto NEEDCOLON
if %1 == g goto NEEDCOLON
if %1 == C goto NEEDCOLON
if %1 == D goto NEEDCOLON
if %1 == E goto NEEDCOLON
if %1 == F goto NEEDCOLON
if %1 == G goto NEEDCOLON
goto USAGE
:NEEDCOLON
set COLON=:
:INSTALL1
diskfree %1%COLON% 14200000
if ERRORLEVEL==5 goto USAGE
if ERRORLEVEL==4 goto DIRPROBLEM
if ERRORLEVEL==3 goto NEEDSPACE
if ERRORLEVEL==2 goto INSTALL2
if ERRORLEVEL==1 goto USAGE
goto end
:INSTALL2
cls
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ    The Horde(tm) Hard Drive Installation Utility    บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ                                                     บ
echo บ    This utility will decompress files from the      บ
echo บ    Horde floppy disks to to your hard drive.        บ
echo บ                                                     บ
echo บ    If you don't want to install The Horde           บ
echo บ    on your hard drive, press CTRL-C now.            บ
echo บ                                                     บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
pause
echo making directory %1%COLON%\HORDE...
md %1%COLON%\HORDE 
:BEGIN
snoop
if ERRORLEVEL 66 GOTO LOGB
:LOGA
SET DRIVE=A
goto INSTALL3
:LOGB
SET DRIVE=B
:INSTALL3
copy install2.bat %1%COLON%\HORDE 
%1%COLON%
cd \HORDE
call install2.bat
del install2.bat
set COLON=
set DRIVE=
goto end
:USAGE
echo 
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ      PROBLEM:  Valid hard drive not specified.      บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ   Please specify the drive (C-G) to which you       บ
echo บ   would like the Horde copied. For example:         บ
echo บ                                                     บ
echo บ         install C:                                  บ
echo บ   or                                                บ
echo บ         install d                                   บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
goto END
:DIRPROBLEM
echo 
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ       PROBLEM:  Couldn't make HORDE directory       บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ   Please check that you specified a valid drive.    บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
goto END
:NEEDSPACE
echo 
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ  PROBLEM:  Not enough disk space on selected drive. บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ   To install the Horde you will need                บ
echo บ   14,200,000 bytes free on your hard drive.         บ
echo บ                                                     บ
echo บ   Try deleting unnecessary files on your hard       บ
echo บ   drive and then run INSTALL again.                 บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
goto END
:END
